BASE DE CONOCIMIENTO

Error ""Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software" al instalar en macOS Catalina 10.15


Publicado: 21 Aug 2019
Fecha de la última modificación: 30 Jul 2020

Problema

Al instalar cualquier producto de Tableau en macOS Catalina 10.15, se produce un error similar al siguiente:
"Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software. This software needs to be updated. Contact the developer for more information." (Tableau Desktop.pkg no se ha podido abrir porque Apple no ha podido comprobar si se trata de software malicioso. Este software se debe actualizar. Contacte con el desarrollador para obtener más información).
Imagen añadida por un usuario

Entorno

  • macOS Catalina 10.15
  • Tableau Desktop 2019.2.1, 2019.1.5, 2018.3.8, 2018.2.11, 2018.1.14, 10.5.17, 10.4.18, 10.3.22, 10.2.22 y versiones posteriores
  • Tableau Prep Builder 2019.2.2 y 2019.2.3
  • Las versiones de Tableau Reader yTableau Public se lanzaron después del 1 de junio de 2019

Solución

Opción 1: Actualice a Tableau Desktop 2019.3, Tableau Prep 2019.3.1 o versiones posteriores.

El error se ha corregido en Tableau Desktop 2019.3 y Tableau Prep Builder 2019.3.1, así como en sus versiones posteriores.


Opción 2: Como usuario con derechos de administrador, permite que se ejecute el permiso del software.

  1. Intente instalar el producto deTableau que desea.
  2. Haga clic en ACEPTAR para ignorar el error.
  3. Vaya a la pestaña Preferencias del sistema > Seguridad y privacidad > General.
  4. En la parte inferior del cuadro de diálogo verá un mensaje similar al siguiente:
     "Tableau Desktop.pkg" se ha bloqueado porque no pertenece a un desarrollador identificado.
  5. Haga clic en Abrir de todas formas. (Si el botón Abrir de todas formas no aparece, haga clic en ACEPTAR en la ventana del paso 2).
    Imagen añadida por un usuario
  6. El instalador se volverá a ejecutar y aparecerá el mismo mensaje de advertencia que antes.
    Ahora aparecerá un botón de Abrir y un botón de Cancelar.
  7. Haga clic en Abrir para comenzar la instalación.
Imagen añadida por un usuario

Opción 3:  Instalar una versión anterior a mayo de 2019

Como solución alternativa, las versiones del software de Tableau publicadas antes del 1 de mayo de 2019 se pueden seguir instalando en macOS Catalina. Esto incluye las siguientes versiones de mantenimiento:

Tableau Desktop: 2019.2.0, 2019.1.3, 2018.3.6, 2018.2.9, 2018.1.12. 10.5.15, 10.4.16, 10.3.20
Tableau Prep: 2019.2.1 y versiones anteriores

NOTA: Aunque Tableau Desktop 2019..2.0 se publicó en mayo, esta versión no se ve afectada y se puede instalar en macOS 10.15 Catalina sin ningún problema.

Instale una de esas versiones y vaya a Ayuda > Buscar actualizaciones de producto para instalar la última versión de mantenimiento disponible para esa versión. Para obtener más información y acceder a versiones de mantenimiento anteriores de productos de Tableau, consulte Descargas de productos y Notas de la versión.

Causa

Este comportamiento está relacionado con un problema conocido con ID 946418 que está actualmente bajo investigación.
Apple ha aumentado los requisitos de seguridad para el software que se debe instalar en macOS Catalina 10.15.

 

Información adicional

 Error: El repositorio My Tableau Prep está en solo lectura o no se ha podido encontrar al ejecutar Tableau Prep Builder en Mac
Error "custactutil can't be opened because its integrity cannot be verified" (custactutil no ha podido abrir porque no se puede verificar su integridad) en macOS Catalina 10.15


Las nuevas versiones de Tableau funcionarán en macOS Catalina si se instalaron antes de la actualización de Mac a Catalina. 

Novedades de desarrollo de Apple



Comente sobre este artículo... Foro de comentarios
¿Fue de ayuda este artículo para resolver el problema?